import request from '@/utils/request'

export function getOptionProductListGroup(data) {
  return request({
    url: '/Public/getOptionProductListGroup',
    method: 'post',
    data
  })
}

export function getOptionProductList(data) {
  return request({
    url: '/Public/getOptionProductList',
    method: 'post',
    data
  })
}

export function getOptionProductConfigList(data) {
  return request({
    url: '/getOptionProductConfigList',
    method: 'post',
    data
  })
}

export function insertOptionOrder(data) {
  return request({
    url: '/insertOptionOrder',
    method: 'post',
    data
  })
}

export function closeOptionOrder(data) {
  return request({
    url: '/closeOptionOrder',
    method: 'post',
    data
  })
}

export function getOptionOrderList(data) {
  return request({
    url: '/getOptionOrderList',
    method: 'post',
    data
  })
}

export function insertOptionInquiry(data) {
  return request({
    url: '/insertOptionInquiry',
    method: 'post',
    data
  })
}

export function revokeOptionOrder(data) {
  return request({
    url: '/revokeOptionOrder',
    method: 'post',
    data
  })
}